> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/kubernetes-pack/kubernetes-cluster.md).

# Kubernetes Cluster

This page describes the Optimization Pack for the Kubernetes Cluster component type.

## Metrics

| Name                            | Unit       | Description                                                       |
| ------------------------------- | ---------- | ----------------------------------------------------------------- |
| k8s\_cluster\_cpu               | millicores | The CPUs in the cluster                                           |
| k8s\_cluster\_cpu\_available    | millicores | The CPUs available for additional pods in the cluster             |
| k8s\_cluster\_cpu\_util         | percent    | The percentage of used CPUs in the cluster                        |
| k8s\_cluster\_cpu\_request      | millicores | The total CPUs requested in the cluster                           |
| k8s\_cluster\_memory            | bytes      | The overall memory in the cluster                                 |
| k8s\_cluster\_memory\_available | bytes      | The amount of memory available for additional pods in the cluster |
| k8s\_cluster\_memory\_util      | percent    | The percentage of used memory in the cluster                      |
| k8s\_cluster\_memory\_request   | bytes      | The total memory requested in the cluster                         |
| k8s\_cluster\_nodes             | nodes      | The number of nodes in the cluster                                |

## Parameters

There are no parameters for the Kubernetes Cluster component type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/kubernetes-pack/kubernetes-cluster.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
